import { combineReducers } from "redux";
import { connectRouter } from "connected-react-router";
import undoable from "easy-redux-undo";
import homeReducer from "../components/home/homeSlice";
import counterReducer from "../components/counter/counterSlice";
import complexReducer from "../components/complex/complexSlice";

import addItemModalReducer from "../modals/addItemModalSlice";
import editItemModalReducer from "../modals/editItemModalSlice";
import addSaleModalReducer from "../modals/addSaleModalSlice";
import inventoryReducer from "../data/inventorySlice";
import salesReducer from "../data/salesSlice";

const rootReducer = (history) =>
  combineReducers({
    router: connectRouter(history),
    home: homeReducer,
    undoable: undoable(
      combineReducers({
        counter: counterReducer,
        complex: complexReducer,
      })
    ),
    addItemModal: addItemModalReducer,
    editItemModal: editItemModalReducer,
    addSaleModal: addSaleModalReducer,
    inventory: inventoryReducer,
    sales: salesReducer,
  });

export default rootReducer;
